---
title: "小红书笔记详情 API (V1)"
description: "检索由笔记ID或受支持的探索URL标识的小红书（RedNote）笔记详情。用于从存储的标识符或共享的探索链接进行直接笔记查找和内容审查。"
aiUsagePrompt: true
---

# 小红书笔记详情 API \(V1\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/xiaohongshu/get-note-detail/v1\"")'
  :summary='JSON.parse("\"笔记详情 (V1)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-details-v1-zh.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"此 API 服务的访问令牌。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"noteId\",\"in\":\"query\",\"description\":\"一个小红书笔记ID或包含 /explore/ 的探索URL。\",\"required\":true,\"schema\":{\"type\":\"string\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"好的\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"type\":[\"array\",\"null\"],\"description\":\"成功查询时返回的笔记详情结果。\",\"items\":{\"type\":\"object\",\"properties\":{\"note_list\":{\"type\":\"array\",\"description\":\"本组结果中的笔记列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条小红书笔记的详情。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"小红书笔记 ID。\"},\"title\":{\"type\":\"string\",\"description\":\"笔记标题。\"},\"desc\":{\"type\":\"string\",\"description\":\"笔记正文。\"},\"type\":{\"type\":\"string\",\"description\":\"小红书返回的笔记类型。\"},\"time\":{\"type\":\"integer\",\"description\":\"笔记发布时间，以 Unix 秒时间戳表示。\"},\"last_update_time\":{\"type\":\"integer\",\"description\":\"笔记最后更新时间，使用秒级 Unix 时间戳。部分响应返回 0。\"},\"liked_count\":{\"type\":\"integer\",\"description\":\"平台返回的笔记点赞数。\"},\"collected_count\":{\"type\":\"integer\",\"description\":\"平台返回的笔记收藏数。\"},\"comments_count\":{\"type\":\"integer\",\"description\":\"笔记显示的评论数。\"},\"shared_count\":{\"type\":\"integer\",\"description\":\"平台返回的笔记分享数。\"},\"user\":{\"type\":\"object\",\"description\":\"笔记作者。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"作者的小红书用户 ID。\"},\"nickname\":{\"type\":\"string\",\"description\":\"作者昵称。\"},\"image\":{\"type\":\"string\",\"description\":\"作者头像链接。\"},\"name\":{\"type\":\"string\",\"description\":\"平台返回的用户名称。\"},\"userid\":{\"type\":\"string\",\"description\":\"平台通过 userid 返回的用户标识。\"},\"red_id\":{\"type\":\"string\",\"description\":\"平台为该用户返回的小红书号。\"},\"followed\":{\"type\":\"boolean\",\"description\":\"小红书在当前响应上下文返回的关注状态。\"},\"red_official_verified\":{\"type\":\"boolean\",\"description\":\"小红书返回的官方认证状态。\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"小红书返回的官方认证类别编码。\"},\"show_red_official_verify_icon\":{\"type\":\"boolean\",\"description\":\"是否显示官方认证图标的标记。\"},\"level\":{\"type\":\"object\",\"description\":\"小红书返回的用户等级信息。\",\"properties\":{\"image\":{\"type\":\"string\",\"description\":\"用户等级信息中的图片字段，可能为空。\"}}},\"live\":{\"type\":\"object\",\"description\":\"用户的直播信息。有相关信息时返回。\",\"properties\":{\"room_id\":{\"type\":\"string\",\"description\":\"小红书返回的直播间 ID。\"},\"user_id\":{\"type\":\"string\",\"description\":\"与直播关联的用户 ID。\"},\"live_link\":{\"type\":\"string\",\"description\":\"小红书提供的直播链接。\"},\"start_time\":{\"type\":\"integer\",\"description\":\"小红书返回的直播开始时间数值。\"},\"live_status\":{\"type\":\"integer\",\"description\":\"小红书返回的原始直播状态码。\"},\"has_goods\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播商品标记。\"},\"has_red_packet\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播红包标记。\"},\"has_draw\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播抽奖标记。\"},\"show_light\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播指示标记。\"}}}}},\"images_list\":{\"type\":\"array\",\"description\":\"笔记的图片资源，视频笔记也可能返回封面图。\",\"items\":{\"type\":\"object\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"图片链接。\"},\"original\":{\"type\":\"string\",\"description\":\"原图字段中的链接。\"},\"width\":{\"type\":\"integer\",\"description\":\"图片宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"图片高度，单位为像素。\"},\"fileid\":{\"type\":\"string\",\"description\":\"图片在平台上的文件 ID。\"},\"index\":{\"type\":\"integer\",\"description\":\"平台返回的图片顺序索引。\"},\"need_load_original_image\":{\"type\":\"boolean\",\"description\":\"平台返回的原图加载标记。\"},\"origin_img\":{\"type\":\"object\",\"description\":\"小红书提供的原图信息。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"原图宽度，单位为像素。部分响应返回 0。\"},\"height\":{\"type\":\"integer\",\"description\":\"原图高度，单位为像素。部分响应返回 0。\"},\"size\":{\"type\":\"number\",\"description\":\"小红书返回的原图大小数值。\"}}},\"url_multi_level\":{\"type\":\"object\",\"description\":\"平台按档位返回的图片链接，不同档位可能使用同一链接。\",\"properties\":{\"low\":{\"type\":\"string\",\"description\":\"平台返回的低档图片链接。\"},\"medium\":{\"type\":\"string\",\"description\":\"平台返回的中档图片链接。\"},\"high\":{\"type\":\"string\",\"description\":\"平台返回的高档图片链接。\"}}},\"url_size_large\":{\"type\":\"string\",\"description\":\"大尺寸图片版本的链接。\"},\"url_8k\":{\"type\":\"string\",\"description\":\"8K 图片版本的链接。\"},\"filter\":{\"type\":\"object\",\"description\":\"与图片关联的滤镜信息。\",\"properties\":{\"filter_id\":{\"type\":\"string\",\"description\":\"小红书返回的滤镜 ID。\"},\"user_id\":{\"type\":\"string\",\"description\":\"本条滤镜记录中的用户 ID。\"},\"creator_nickname\":{\"type\":\"string\",\"description\":\"滤镜创作者的显示名称。\"},\"filter_url\":{\"type\":\"string\",\"description\":\"平台提供的滤镜链接。\"},\"special_effect_image\":{\"type\":\"string\",\"description\":\"平台提供的滤镜效果图片。\"},\"filter_entrance_name\":{\"type\":\"string\",\"description\":\"滤镜入口的显示名称。\"},\"show_filter_entrance\":{\"type\":\"boolean\",\"description\":\"是否显示此滤镜入口的标记。\"},\"link\":{\"type\":\"string\",\"description\":\"与滤镜关联的链接。\"}}},\"live_photo_file_id\":{\"type\":\"string\",\"description\":\"平台返回的图片实况照片文件 ID。\"},\"live_photo\":{\"type\":\"object\",\"description\":\"图片的实况照片信息。有相关信息时返回。\",\"properties\":{\"image\":{\"type\":\"object\",\"description\":\"实况照片中的图片信息。\",\"properties\":{\"first_frame\":{\"type\":\"string\",\"description\":\"实况照片的首帧图片字段，可能为空。\"}}},\"media\":{\"type\":\"object\",\"description\":\"平台提供的实况照片播放信息。\",\"properties\":{\"video_id\":{\"type\":\"string\",\"description\":\"平台返回的实况照片媒体视频 ID。\"},\"video\":{\"type\":\"object\",\"description\":\"与实况照片关联的视频信息。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"视频宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"视频高度，单位为像素。\"},\"duration\":{\"type\":\"integer\",\"description\":\"平台返回的实况照片视频时长数值。\"},\"drm_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 DRM 原始类别编码。\"},\"hdr_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 HDR 原始类别编码。\"},\"stream_types\":{\"type\":\"array\",\"description\":\"平台返回的视频流类型编码列表。\",\"items\":{\"type\":\"integer\",\"description\":\"平台返回的视频原始流类型编码。\"}}}},\"stream\":{\"type\":\"object\",\"description\":\"按小红书返回的编解码标签分组的流版本。\",\"properties\":{\"h264\":{\"type\":\"array\",\"description\":\"实况照片的 H.264 流列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条实况照片 H.264 流的信息。\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"平台为该流提供的主链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"平台为该流提供的备用链接列表。\",\"items\":{\"type\":\"string\",\"description\":\"流的备用链接。\"}},\"width\":{\"type\":\"integer\",\"description\":\"流的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"流的高度，单位为像素。\"},\"fps\":{\"type\":\"integer\",\"description\":\"平台返回的流帧率。\"},\"format\":{\"type\":\"string\",\"description\":\"平台返回的流媒体格式。\"},\"video_codec\":{\"type\":\"string\",\"description\":\"平台返回的流视频编解码格式。\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"平台返回的流音频编解码格式，可能为空。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"平台返回的流音频声道数。\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流平均码率数值。\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流视频码率数值。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流音频码率数值。\"},\"quality_type\":{\"type\":\"string\",\"description\":\"平台返回的流原始画质标签。\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"小红书提供的流说明。\"},\"duration\":{\"type\":\"integer\",\"description\":\"小红书返回的流时长数值。\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"平台返回的流视频时长数值。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"平台返回的流音频时长数值。\"},\"size\":{\"type\":\"integer\",\"description\":\"小红书返回的流大小数值。\"}}}},\"h265\":{\"type\":\"array\",\"description\":\"实况照片的 H.265 流列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条实况照片 H.265 流的信息。\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"平台为该流提供的主链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"平台为该流提供的备用链接列表。\",\"items\":{\"type\":\"string\",\"description\":\"流的备用链接。\"}},\"width\":{\"type\":\"integer\",\"description\":\"流的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"流的高度，单位为像素。\"},\"fps\":{\"type\":\"integer\",\"description\":\"平台返回的流帧率。\"},\"format\":{\"type\":\"string\",\"description\":\"平台返回的流媒体格式。\"},\"video_codec\":{\"type\":\"string\",\"description\":\"平台返回的流视频编解码格式。\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"平台返回的流音频编解码格式，可能为空。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"平台返回的流音频声道数。\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流平均码率数值。\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流视频码率数值。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"平台返回的流音频码率数值。\"},\"quality_type\":{\"type\":\"string\",\"description\":\"平台返回的流原始画质标签。\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"小红书提供的流说明。\"},\"duration\":{\"type\":\"integer\",\"description\":\"小红书返回的流时长数值。\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"平台返回的流视频时长数值。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"平台返回的流音频时长数值。\"},\"size\":{\"type\":\"integer\",\"description\":\"小红书返回的流大小数值。\"}}}},\"h266\":{\"type\":\"array\",\"description\":\"小红书返回的 H.266 流列表，可能为空。\"},\"av1\":{\"type\":\"array\",\"description\":\"小红书返回的 AV1 流列表，可能为空。\"}}}}}}}}}},\"hash_tag\":{\"type\":\"array\",\"description\":\"笔记关联的话题标签。\",\"items\":{\"type\":\"object\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"话题标签 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"话题标签名称。\"},\"link\":{\"type\":\"string\",\"description\":\"话题标签链接，可能使用小红书 App 链接协议。\"},\"type\":{\"type\":\"string\",\"description\":\"平台返回的话题标签类型编码。\"}}}},\"liked\":{\"type\":\"boolean\",\"description\":\"小红书在当前响应上下文返回的点赞状态。\"},\"collected\":{\"type\":\"boolean\",\"description\":\"小红书在当前响应上下文返回的收藏状态。\"},\"liked_users\":{\"type\":\"array\",\"description\":\"点赞此笔记的用户列表。平台返回的点赞数大于 0 时，该列表仍可能为空。\"},\"model_type\":{\"type\":\"string\",\"description\":\"小红书返回的笔记对象类型。\"},\"sticky\":{\"type\":\"boolean\",\"description\":\"平台返回的笔记置顶状态。\"},\"text_language_code\":{\"type\":\"string\",\"description\":\"平台返回的笔记文本语言代码。\"},\"ip_location\":{\"type\":\"string\",\"description\":\"小红书为此笔记提供的 IP 属地标签。\"},\"has_music\":{\"type\":\"boolean\",\"description\":\"小红书返回的笔记关联音乐标记。\"},\"has_related_goods\":{\"type\":\"boolean\",\"description\":\"笔记是否关联商品的标记。\"},\"has_co_produce\":{\"type\":\"boolean\",\"description\":\"笔记是否关联共同创作的标记。\"},\"enable_co_produce\":{\"type\":\"boolean\",\"description\":\"平台返回的共同创作功能开关。\"},\"enable_brand_lottery\":{\"type\":\"boolean\",\"description\":\"平台返回的品牌抽奖功能开关。\"},\"red_envelope_note\":{\"type\":\"boolean\",\"description\":\"平台是否将笔记标记为红包笔记。\"},\"may_have_red_packet\":{\"type\":\"boolean\",\"description\":\"笔记可能关联红包的标记。\"},\"share_info\":{\"type\":\"object\",\"description\":\"笔记的分享信息。\",\"properties\":{\"link\":{\"type\":\"string\",\"description\":\"小红书笔记分享链接。\"},\"title\":{\"type\":\"string\",\"description\":\"分享预览标题。\"},\"content\":{\"type\":\"string\",\"description\":\"分享笔记时附带的正文。\"},\"image\":{\"type\":\"string\",\"description\":\"分享预览图链接。\"},\"wechat_share_desc\":{\"type\":\"string\",\"description\":\"微信分享描述。\"},\"show_wechat_tag\":{\"type\":\"boolean\",\"description\":\"分享配置中的微信标签显示标记。\"},\"block_private_msg\":{\"type\":\"boolean\",\"description\":\"分享配置中的私信限制标记。\"},\"function_entries\":{\"type\":\"array\",\"description\":\"平台返回的分享操作入口列表。\",\"items\":{\"type\":\"object\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"分享操作入口的类型编码。\"}}}}}},\"long_press_share_info\":{\"type\":\"object\",\"description\":\"长按菜单对应的分享信息。\",\"properties\":{\"title\":{\"type\":\"string\",\"description\":\"长按分享标题。\"},\"content\":{\"type\":\"string\",\"description\":\"长按分享正文。\"},\"show_wechat_tag\":{\"type\":\"boolean\",\"description\":\"分享配置中的微信标签显示标记。\"},\"block_private_msg\":{\"type\":\"boolean\",\"description\":\"分享配置中的私信限制标记。\"},\"function_entries\":{\"type\":\"array\",\"description\":\"平台返回的分享操作入口列表。\",\"items\":{\"type\":\"object\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"分享操作入口的类型编码。\"}}}}}},\"topics\":{\"type\":\"array\",\"description\":\"笔记关联的话题列表，可能与话题标签列表重叠。\",\"items\":{\"type\":\"object\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"小红书话题 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"话题名称。\"},\"link\":{\"type\":\"string\",\"description\":\"话题链接，可能使用小红书 App 链接协议。\"},\"image\":{\"type\":\"string\",\"description\":\"话题图片链接。\"},\"discuss_num\":{\"type\":\"integer\",\"description\":\"平台返回的话题讨论数。\"},\"activity_online\":{\"type\":\"boolean\",\"description\":\"话题活动是否上线的标记。\"},\"style\":{\"type\":\"integer\",\"description\":\"平台返回的话题样式编码。\"},\"business_type\":{\"type\":\"integer\",\"description\":\"平台返回的话题业务类型编码。\"}}}},\"native_voice_info\":{\"type\":\"object\",\"description\":\"笔记附带的语音和音频信息。\",\"properties\":{\"sound_id\":{\"type\":\"string\",\"description\":\"音频项在平台上的 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"音频名称。\"},\"desc\":{\"type\":\"string\",\"description\":\"平台返回的音频描述。\"},\"subtitle\":{\"type\":\"string\",\"description\":\"平台返回的音频副标题。\"},\"cover\":{\"type\":\"string\",\"description\":\"音频封面图链接。\"},\"url\":{\"type\":\"string\",\"description\":\"音频文件链接。\"},\"md5sum\":{\"type\":\"string\",\"description\":\"本条记录提供的音频文件的 MD5 校验值。\"},\"use_count\":{\"type\":\"integer\",\"description\":\"平台返回的音频使用次数。\"},\"sound_bg_music_type\":{\"type\":\"integer\",\"description\":\"平台返回的音频背景音乐类别编码。\"},\"duration\":{\"type\":\"integer\",\"description\":\"音频时长，单位为毫秒。\"}}},\"mini_program_info\":{\"type\":\"object\",\"description\":\"笔记关联的小程序链接和分享信息。\",\"properties\":{\"title\":{\"type\":\"string\",\"description\":\"笔记附带的小程序标题。\"},\"desc\":{\"type\":\"string\",\"description\":\"笔记附带的小程序描述。\"},\"path\":{\"type\":\"string\",\"description\":\"小程序内部页面路径。\"},\"share_title\":{\"type\":\"string\",\"description\":\"小程序分享标题。\"},\"thumb\":{\"type\":\"string\",\"description\":\"小程序缩略图链接。\"},\"user_name\":{\"type\":\"string\",\"description\":\"平台返回的小程序账号名。\"},\"webpage_url\":{\"type\":\"string\",\"description\":\"小程序对应的网页链接。\"}}},\"qq_mini_program_info\":{\"type\":\"object\",\"description\":\"笔记关联的 QQ 小程序链接和分享信息。\",\"properties\":{\"title\":{\"type\":\"string\",\"description\":\"笔记附带的小程序标题。\"},\"desc\":{\"type\":\"string\",\"description\":\"笔记附带的小程序描述。\"},\"path\":{\"type\":\"string\",\"description\":\"小程序内部页面路径。\"},\"share_title\":{\"type\":\"string\",\"description\":\"小程序分享标题。\"},\"thumb\":{\"type\":\"string\",\"description\":\"小程序缩略图链接。\"},\"user_name\":{\"type\":\"string\",\"description\":\"平台返回的小程序账号名。\"},\"webpage_url\":{\"type\":\"string\",\"description\":\"小程序对应的网页链接。\"}}},\"comment_prompt_config\":{\"type\":\"object\",\"description\":\"评论输入提示和限制配置。\",\"properties\":{\"placeholder_short\":{\"type\":\"string\",\"description\":\"评论输入框的短提示文字。\"},\"placeholder_long\":{\"type\":\"string\",\"description\":\"评论输入框的长提示文字。\"},\"forbidden_cmt_type\":{\"type\":\"integer\",\"description\":\"平台返回的评论限制类型编码。\"}}},\"function_switch\":{\"type\":\"array\",\"description\":\"平台为笔记返回的功能开关列表。\",\"items\":{\"type\":\"object\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"功能开关的类型编码。\"},\"enable\":{\"type\":\"boolean\",\"description\":\"平台是否标记该功能为启用。\"},\"reason\":{\"type\":\"string\",\"description\":\"平台提供的功能开关原因，可能缺省。\"}}}},\"media_save_config\":{\"type\":\"object\",\"description\":\"平台返回的媒体保存配置。\",\"properties\":{\"disable_save\":{\"type\":\"boolean\",\"description\":\"平台返回的媒体禁止保存标记。\"},\"disable_watermark\":{\"type\":\"boolean\",\"description\":\"媒体保存配置中的禁用水印标记。\"},\"disable_weibo_cover\":{\"type\":\"boolean\",\"description\":\"媒体保存配置中的禁用微博封面标记。\"}}},\"privacy\":{\"type\":\"object\",\"description\":\"小红书在当前响应上下文返回的可见性和隐私信息。\",\"properties\":{\"type\":{\"type\":\"integer\",\"description\":\"小红书返回的原始可见性类别编码。\"},\"show_tips\":{\"type\":\"boolean\",\"description\":\"是否显示隐私相关提示的标记。\"}}},\"feedback_info\":{\"type\":\"object\",\"description\":\"平台返回的笔记反馈信息。\",\"properties\":{\"dislike_status\":{\"type\":\"integer\",\"description\":\"平台返回的负反馈状态编码。\"}}},\"note_text_press_options\":{\"type\":\"array\",\"description\":\"长按笔记文字对应的菜单选项列表。\",\"items\":{\"type\":\"object\",\"properties\":{\"key\":{\"type\":\"string\",\"description\":\"平台返回的长按菜单选项标识。\"}}}},\"ats\":{\"type\":\"array\",\"description\":\"笔记中提及的用户资料列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条提及所返回的用户资料。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"被提及账号的小红书用户 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"平台返回的用户名称。\"},\"nickname\":{\"type\":\"string\",\"description\":\"作者昵称。\"},\"followed\":{\"type\":\"boolean\",\"description\":\"小红书在当前响应上下文返回的关注状态。\"},\"red_official_verified\":{\"type\":\"boolean\",\"description\":\"小红书返回的官方认证状态。\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"小红书返回的官方认证类别编码。\"},\"show_red_official_verify_icon\":{\"type\":\"boolean\",\"description\":\"是否显示官方认证图标的标记。\"},\"level\":{\"type\":\"object\",\"description\":\"小红书返回的用户等级信息。\",\"properties\":{\"image\":{\"type\":\"string\",\"description\":\"用户等级信息中的图片字段，可能为空。\"}}}}}},\"co_produce_link\":{\"type\":\"string\",\"description\":\"小红书提供的共创链接。\"},\"note_statement\":{\"type\":\"object\",\"description\":\"与笔记关联的声明信息。\",\"properties\":{\"show_text\":{\"type\":\"string\",\"description\":\"随笔记展示的声明文字。\"},\"pop_text\":{\"type\":\"string\",\"description\":\"用于弹窗展示的声明文字。\"},\"origin_info\":{\"type\":\"object\",\"description\":\"平台为笔记提供的来源标注信息。\",\"properties\":{\"origin_link\":{\"type\":\"string\",\"description\":\"来源标注对应的链接。\"},\"origin_text\":{\"type\":\"string\",\"description\":\"来源标注对应的文字。\"}}}}},\"note_attributes\":{\"type\":\"array\",\"description\":\"小红书返回的笔记属性列表。\",\"items\":{\"type\":\"string\",\"description\":\"小红书返回的单个原始笔记属性值。\"}},\"order_cooperate\":{\"type\":\"object\",\"description\":\"小红书返回的合作订单信息。\",\"properties\":{\"status\":{\"type\":\"integer\",\"description\":\"小红书返回的原始合作订单状态码。\"}}},\"user_id\":{\"type\":\"string\",\"description\":\"笔记记录上直接返回的用户 ID。有相关信息时提供。\"},\"video\":{\"type\":\"object\",\"description\":\"部分笔记可能返回的视频信息。视频下载请使用 V6 接口。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"平台返回的笔记视频 ID。\"},\"width\":{\"type\":\"integer\",\"description\":\"视频宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"视频高度，单位为像素。\"},\"duration\":{\"type\":\"integer\",\"description\":\"小红书返回的视频时长数值。\"},\"thumbnail\":{\"type\":\"string\",\"description\":\"平台提供的视频缩略图链接。\"},\"first_frame\":{\"type\":\"string\",\"description\":\"平台提供的视频首帧链接。\"},\"url\":{\"type\":\"string\",\"description\":\"小红书提供的视频媒体链接。\"},\"url_info_list\":{\"type\":\"array\",\"description\":\"平台返回的视频媒体版本列表。\",\"items\":{\"type\":\"object\",\"description\":\"单个视频版本的信息。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"该视频版本的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"该视频版本的高度，单位为像素。\"},\"desc\":{\"type\":\"string\",\"description\":\"平台提供的该视频版本说明。\"},\"url\":{\"type\":\"string\",\"description\":\"平台提供的该视频版本媒体链接。\"}}}}}}}}},\"model_type\":{\"type\":\"string\",\"description\":\"小红书返回的结果对象类型。\"},\"user\":{\"type\":\"object\",\"description\":\"结果附带的用户资料。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"小红书用户 ID。\"},\"nickname\":{\"type\":\"string\",\"description\":\"用户昵称。\"},\"image\":{\"type\":\"string\",\"description\":\"用户头像链接。\"},\"name\":{\"type\":\"string\",\"description\":\"平台返回的用户名称。\"},\"userid\":{\"type\":\"string\",\"description\":\"平台通过 userid 返回的用户标识。\"},\"red_id\":{\"type\":\"string\",\"description\":\"平台为该用户返回的小红书号。\"},\"followed\":{\"type\":\"boolean\",\"description\":\"小红书在当前响应上下文返回的关注状态。\"},\"red_official_verified\":{\"type\":\"boolean\",\"description\":\"小红书返回的官方认证状态。\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"小红书返回的官方认证类别编码。\"},\"show_red_official_verify_icon\":{\"type\":\"boolean\",\"description\":\"是否显示官方认证图标的标记。\"},\"level\":{\"type\":\"object\",\"description\":\"小红书返回的用户等级信息。\",\"properties\":{\"image\":{\"type\":\"string\",\"description\":\"用户等级信息中的图片字段，可能为空。\"}}},\"live\":{\"type\":\"object\",\"description\":\"用户的直播信息。有相关信息时返回。\",\"properties\":{\"room_id\":{\"type\":\"string\",\"description\":\"小红书返回的直播间 ID。\"},\"user_id\":{\"type\":\"string\",\"description\":\"与直播关联的用户 ID。\"},\"live_link\":{\"type\":\"string\",\"description\":\"小红书提供的直播链接。\"},\"start_time\":{\"type\":\"integer\",\"description\":\"小红书返回的直播开始时间数值。\"},\"live_status\":{\"type\":\"integer\",\"description\":\"小红书返回的原始直播状态码。\"},\"has_goods\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播商品标记。\"},\"has_red_packet\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播红包标记。\"},\"has_draw\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播抽奖标记。\"},\"show_light\":{\"type\":\"boolean\",\"description\":\"小红书返回的直播指示标记。\"}}}}},\"comment_list\":{\"type\":\"array\",\"description\":\"随详情结果返回的评论列表。平台返回的评论数大于 0 时，该列表仍可能为空。\"},\"track_id\":{\"type\":\"string\",\"description\":\"随结果返回的原始追踪 ID，可能为空。\"}}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"请求参数或请求体无效\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"访问令牌无效或未激活\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"权限不足\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"请求速率或每日配额已超限\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"服务器内部错误\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"服务暂时不可用\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"全球生产 API（默认）\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/xiaohongshu/get-note-detail/v1\"")' />

<p>检索由笔记ID或受支持的探索URL标识的小红书（RedNote）笔记详情。用于从存储的标识符或共享的探索链接进行直接笔记查找和内容审查。</p>

## 使用提示

::: tip 使用限制
<p>此版本不支持视频下载。</p>
:::

::: info 使用说明
<p>使用 <code>v6</code> 进行视频下载工作流。</p>
:::

## 请求参数

<div class="api-doc-table api-doc-table--params">

| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | 是 | - | 此 API 服务的访问令牌。 |
| <code>noteId</code> | query | <code>string</code> | 是 | - | 一个小红书笔记ID或包含 /explore/ 的探索URL。 |

</div>

## 代码示例

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE'
```

```text [🤖 AI 提示词]
我想使用 JustOneAPI 提供的“笔记详情 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE
接口地址: BASE_URL + /api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-details-v1-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- noteId (query): 一个小红书笔记ID或包含 /explore/ 的探索URL。 (必填)

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码：
1. 需通过返回体中的 "code" 字段判断业务结果（code 为 0 表示成功）。
2. 超时建议：建议将请求超时时间设置为 120 秒；如果 120 秒偏长，请至少设置为 60 秒，但可能会有少量请求因超时而未接收到结果。
3. 业务码说明：
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败，请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨，多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口，并处理返回结果。
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/xiaohongshu/get-note-detail/v1?token=YOUR_API_KEY&noteId=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/xiaohongshu-rednote/note-details-v1-zh.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI 定义 (JSON)]</a>
</div>

## 返回字段

业务成功时（`code = 0`）的主要返回字段。

<div class="api-doc-table api-doc-table--response">

| 字段路径 | 类型 | 说明 |
| --- | --- | --- |
| <code>data</code> | <code>array &#124; null</code> | 成功查询时返回的笔记详情结果。 |
| <code>data[]</code> | <code>object</code> | - |
| <code>data[].note_list</code> | <code>array</code> | 本组结果中的笔记列表。 |
| <code>data[].note_list[]</code> | <code>object</code> | 单条小红书笔记的详情。 |
| <code>data[].note_list[].id</code> | <code>string</code> | 小红书笔记 ID。 |
| <code>data[].note_list[].title</code> | <code>string</code> | 笔记标题。 |
| <code>data[].note_list[].desc</code> | <code>string</code> | 笔记正文。 |
| <code>data[].note_list[].type</code> | <code>string</code> | 小红书返回的笔记类型。 |
| <code>data[].note_list[].time</code> | <code>integer</code> | 笔记发布时间，以 Unix 秒时间戳表示。 |
| <code>data[].note_list[].last_update_time</code> | <code>integer</code> | 笔记最后更新时间，使用秒级 Unix 时间戳。部分响应返回 0。 |
| <code>data[].note_list[].liked_count</code> | <code>integer</code> | 平台返回的笔记点赞数。 |
| <code>data[].note_list[].collected_count</code> | <code>integer</code> | 平台返回的笔记收藏数。 |
| <code>data[].note_list[].comments_count</code> | <code>integer</code> | 笔记显示的评论数。 |
| <code>data[].note_list[].shared_count</code> | <code>integer</code> | 平台返回的笔记分享数。 |
| <code>data[].note_list[].user</code> | <code>object</code> | 笔记作者。 |
| <code>data[].note_list[].user.id</code> | <code>string</code> | 作者的小红书用户 ID。 |
| <code>data[].note_list[].user.nickname</code> | <code>string</code> | 作者昵称。 |
| <code>data[].note_list[].user.image</code> | <code>string</code> | 作者头像链接。 |
| <code>data[].note_list[].user.name</code> | <code>string</code> | 平台返回的用户名称。 |
| <code>data[].note_list[].user.userid</code> | <code>string</code> | 平台通过 userid 返回的用户标识。 |
| <code>data[].note_list[].user.red_id</code> | <code>string</code> | 平台为该用户返回的小红书号。 |
| <code>data[].note_list[].user.followed</code> | <code>boolean</code> | 小红书在当前响应上下文返回的关注状态。 |
| <code>data[].note_list[].user.red_official_verified</code> | <code>boolean</code> | 小红书返回的官方认证状态。 |
| <code>data[].note_list[].user.red_official_verify_type</code> | <code>integer</code> | 小红书返回的官方认证类别编码。 |
| <code>data[].note_list[].user.show_red_official_verify_icon</code> | <code>boolean</code> | 是否显示官方认证图标的标记。 |
| <code>data[].note_list[].user.level</code> | <code>object</code> | 小红书返回的用户等级信息。 |
| <code>data[].note_list[].user.level.image</code> | <code>string</code> | 用户等级信息中的图片字段，可能为空。 |
| <code>data[].note_list[].user.live</code> | <code>object</code> | 用户的直播信息。有相关信息时返回。 |
| <code>data[].note_list[].user.live.room_id</code> | <code>string</code> | 小红书返回的直播间 ID。 |
| <code>data[].note_list[].user.live.user_id</code> | <code>string</code> | 与直播关联的用户 ID。 |
| <code>data[].note_list[].user.live.live_link</code> | <code>string</code> | 小红书提供的直播链接。 |
| <code>data[].note_list[].user.live.start_time</code> | <code>integer</code> | 小红书返回的直播开始时间数值。 |
| <code>data[].note_list[].user.live.live_status</code> | <code>integer</code> | 小红书返回的原始直播状态码。 |
| <code>data[].note_list[].user.live.has_goods</code> | <code>boolean</code> | 小红书返回的直播商品标记。 |
| <code>data[].note_list[].user.live.has_red_packet</code> | <code>boolean</code> | 小红书返回的直播红包标记。 |
| <code>data[].note_list[].user.live.has_draw</code> | <code>boolean</code> | 小红书返回的直播抽奖标记。 |
| <code>data[].note_list[].user.live.show_light</code> | <code>boolean</code> | 小红书返回的直播指示标记。 |
| <code>data[].note_list[].images_list</code> | <code>array</code> | 笔记的图片资源，视频笔记也可能返回封面图。 |
| <code>data[].note_list[].images_list[]</code> | <code>object</code> | - |
| <code>data[].note_list[].images_list[].url</code> | <code>string</code> | 图片链接。 |
| <code>data[].note_list[].images_list[].original</code> | <code>string</code> | 原图字段中的链接。 |
| <code>data[].note_list[].images_list[].width</code> | <code>integer</code> | 图片宽度，单位为像素。 |
| <code>data[].note_list[].images_list[].height</code> | <code>integer</code> | 图片高度，单位为像素。 |
| <code>data[].note_list[].images_list[].fileid</code> | <code>string</code> | 图片在平台上的文件 ID。 |
| <code>data[].note_list[].images_list[].index</code> | <code>integer</code> | 平台返回的图片顺序索引。 |
| <code>data[].note_list[].images_list[].need_load_original_image</code> | <code>boolean</code> | 平台返回的原图加载标记。 |
| <code>data[].note_list[].images_list[].origin_img</code> | <code>object</code> | 小红书提供的原图信息。 |
| <code>data[].note_list[].images_list[].origin_img.width</code> | <code>integer</code> | 原图宽度，单位为像素。部分响应返回 0。 |
| <code>data[].note_list[].images_list[].origin_img.height</code> | <code>integer</code> | 原图高度，单位为像素。部分响应返回 0。 |
| <code>data[].note_list[].images_list[].origin_img.size</code> | <code>number</code> | 小红书返回的原图大小数值。 |
| <code>data[].note_list[].images_list[].url_multi_level</code> | <code>object</code> | 平台按档位返回的图片链接，不同档位可能使用同一链接。 |
| <code>data[].note_list[].images_list[].url_multi_level.low</code> | <code>string</code> | 平台返回的低档图片链接。 |
| <code>data[].note_list[].images_list[].url_multi_level.medium</code> | <code>string</code> | 平台返回的中档图片链接。 |
| <code>data[].note_list[].images_list[].url_multi_level.high</code> | <code>string</code> | 平台返回的高档图片链接。 |
| <code>data[].note_list[].images_list[].url_size_large</code> | <code>string</code> | 大尺寸图片版本的链接。 |
| <code>data[].note_list[].images_list[].url_8k</code> | <code>string</code> | 8K 图片版本的链接。 |
| <code>data[].note_list[].images_list[].filter</code> | <code>object</code> | 与图片关联的滤镜信息。 |
| <code>data[].note_list[].images_list[].filter.filter_id</code> | <code>string</code> | 小红书返回的滤镜 ID。 |
| <code>data[].note_list[].images_list[].filter.user_id</code> | <code>string</code> | 本条滤镜记录中的用户 ID。 |
| <code>data[].note_list[].images_list[].filter.creator_nickname</code> | <code>string</code> | 滤镜创作者的显示名称。 |
| <code>data[].note_list[].images_list[].filter.filter_url</code> | <code>string</code> | 平台提供的滤镜链接。 |
| <code>data[].note_list[].images_list[].filter.special_effect_image</code> | <code>string</code> | 平台提供的滤镜效果图片。 |
| <code>data[].note_list[].images_list[].filter.filter_entrance_name</code> | <code>string</code> | 滤镜入口的显示名称。 |
| <code>data[].note_list[].images_list[].filter.show_filter_entrance</code> | <code>boolean</code> | 是否显示此滤镜入口的标记。 |
| <code>data[].note_list[].images_list[].filter.link</code> | <code>string</code> | 与滤镜关联的链接。 |
| <code>data[].note_list[].images_list[].live_photo_file_id</code> | <code>string</code> | 平台返回的图片实况照片文件 ID。 |
| <code>data[].note_list[].images_list[].live_photo</code> | <code>object</code> | 图片的实况照片信息。有相关信息时返回。 |
| <code>data[].note_list[].images_list[].live_photo.image</code> | <code>object</code> | 实况照片中的图片信息。 |
| <code>data[].note_list[].images_list[].live_photo.image.first_frame</code> | <code>string</code> | 实况照片的首帧图片字段，可能为空。 |
| <code>data[].note_list[].images_list[].live_photo.media</code> | <code>object</code> | 平台提供的实况照片播放信息。 |
| <code>data[].note_list[].images_list[].live_photo.media.video_id</code> | <code>string</code> | 平台返回的实况照片媒体视频 ID。 |
| <code>data[].note_list[].images_list[].live_photo.media.video</code> | <code>object</code> | 与实况照片关联的视频信息。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.width</code> | <code>integer</code> | 视频宽度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.height</code> | <code>integer</code> | 视频高度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.duration</code> | <code>integer</code> | 平台返回的实况照片视频时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.drm_type</code> | <code>integer</code> | 平台返回的视频 DRM 原始类别编码。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.hdr_type</code> | <code>integer</code> | 平台返回的视频 HDR 原始类别编码。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.stream_types</code> | <code>array</code> | 平台返回的视频流类型编码列表。 |
| <code>data[].note_list[].images_list[].live_photo.media.video.stream_types[]</code> | <code>integer</code> | 平台返回的视频原始流类型编码。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream</code> | <code>object</code> | 按小红书返回的编解码标签分组的流版本。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264</code> | <code>array</code> | 实况照片的 H.264 流列表。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[]</code> | <code>object</code> | 单条实况照片 H.264 流的信息。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].master_url</code> | <code>string</code> | 平台为该流提供的主链接。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].backup_urls</code> | <code>array</code> | 平台为该流提供的备用链接列表。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].backup_urls[]</code> | <code>string</code> | 流的备用链接。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].width</code> | <code>integer</code> | 流的宽度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].height</code> | <code>integer</code> | 流的高度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].fps</code> | <code>integer</code> | 平台返回的流帧率。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].format</code> | <code>string</code> | 平台返回的流媒体格式。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].video_codec</code> | <code>string</code> | 平台返回的流视频编解码格式。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].audio_codec</code> | <code>string</code> | 平台返回的流音频编解码格式，可能为空。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].audio_channels</code> | <code>integer</code> | 平台返回的流音频声道数。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].avg_bitrate</code> | <code>integer</code> | 平台返回的流平均码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].video_bitrate</code> | <code>integer</code> | 平台返回的流视频码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].audio_bitrate</code> | <code>integer</code> | 平台返回的流音频码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].quality_type</code> | <code>string</code> | 平台返回的流原始画质标签。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].stream_desc</code> | <code>string</code> | 小红书提供的流说明。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].duration</code> | <code>integer</code> | 小红书返回的流时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].video_duration</code> | <code>integer</code> | 平台返回的流视频时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].audio_duration</code> | <code>integer</code> | 平台返回的流音频时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h264[].size</code> | <code>integer</code> | 小红书返回的流大小数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265</code> | <code>array</code> | 实况照片的 H.265 流列表。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[]</code> | <code>object</code> | 单条实况照片 H.265 流的信息。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].master_url</code> | <code>string</code> | 平台为该流提供的主链接。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].backup_urls</code> | <code>array</code> | 平台为该流提供的备用链接列表。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].backup_urls[]</code> | <code>string</code> | 流的备用链接。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].width</code> | <code>integer</code> | 流的宽度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].height</code> | <code>integer</code> | 流的高度，单位为像素。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].fps</code> | <code>integer</code> | 平台返回的流帧率。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].format</code> | <code>string</code> | 平台返回的流媒体格式。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].video_codec</code> | <code>string</code> | 平台返回的流视频编解码格式。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].audio_codec</code> | <code>string</code> | 平台返回的流音频编解码格式，可能为空。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].audio_channels</code> | <code>integer</code> | 平台返回的流音频声道数。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].avg_bitrate</code> | <code>integer</code> | 平台返回的流平均码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].video_bitrate</code> | <code>integer</code> | 平台返回的流视频码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].audio_bitrate</code> | <code>integer</code> | 平台返回的流音频码率数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].quality_type</code> | <code>string</code> | 平台返回的流原始画质标签。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].stream_desc</code> | <code>string</code> | 小红书提供的流说明。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].duration</code> | <code>integer</code> | 小红书返回的流时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].video_duration</code> | <code>integer</code> | 平台返回的流视频时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].audio_duration</code> | <code>integer</code> | 平台返回的流音频时长数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h265[].size</code> | <code>integer</code> | 小红书返回的流大小数值。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.h266</code> | <code>array</code> | 小红书返回的 H.266 流列表，可能为空。 |
| <code>data[].note_list[].images_list[].live_photo.media.stream.av1</code> | <code>array</code> | 小红书返回的 AV1 流列表，可能为空。 |
| <code>data[].note_list[].hash_tag</code> | <code>array</code> | 笔记关联的话题标签。 |
| <code>data[].note_list[].hash_tag[]</code> | <code>object</code> | - |
| <code>data[].note_list[].hash_tag[].id</code> | <code>string</code> | 话题标签 ID。 |
| <code>data[].note_list[].hash_tag[].name</code> | <code>string</code> | 话题标签名称。 |
| <code>data[].note_list[].hash_tag[].link</code> | <code>string</code> | 话题标签链接，可能使用小红书 App 链接协议。 |
| <code>data[].note_list[].hash_tag[].type</code> | <code>string</code> | 平台返回的话题标签类型编码。 |
| <code>data[].note_list[].liked</code> | <code>boolean</code> | 小红书在当前响应上下文返回的点赞状态。 |
| <code>data[].note_list[].collected</code> | <code>boolean</code> | 小红书在当前响应上下文返回的收藏状态。 |
| <code>data[].note_list[].liked_users</code> | <code>array</code> | 点赞此笔记的用户列表。平台返回的点赞数大于 0 时，该列表仍可能为空。 |
| <code>data[].note_list[].model_type</code> | <code>string</code> | 小红书返回的笔记对象类型。 |
| <code>data[].note_list[].sticky</code> | <code>boolean</code> | 平台返回的笔记置顶状态。 |
| <code>data[].note_list[].text_language_code</code> | <code>string</code> | 平台返回的笔记文本语言代码。 |
| <code>data[].note_list[].ip_location</code> | <code>string</code> | 小红书为此笔记提供的 IP 属地标签。 |
| <code>data[].note_list[].has_music</code> | <code>boolean</code> | 小红书返回的笔记关联音乐标记。 |
| <code>data[].note_list[].has_related_goods</code> | <code>boolean</code> | 笔记是否关联商品的标记。 |
| <code>data[].note_list[].has_co_produce</code> | <code>boolean</code> | 笔记是否关联共同创作的标记。 |
| <code>data[].note_list[].enable_co_produce</code> | <code>boolean</code> | 平台返回的共同创作功能开关。 |
| <code>data[].note_list[].enable_brand_lottery</code> | <code>boolean</code> | 平台返回的品牌抽奖功能开关。 |
| <code>data[].note_list[].red_envelope_note</code> | <code>boolean</code> | 平台是否将笔记标记为红包笔记。 |
| <code>data[].note_list[].may_have_red_packet</code> | <code>boolean</code> | 笔记可能关联红包的标记。 |
| <code>data[].note_list[].share_info</code> | <code>object</code> | 笔记的分享信息。 |
| <code>data[].note_list[].share_info.link</code> | <code>string</code> | 小红书笔记分享链接。 |
| <code>data[].note_list[].share_info.title</code> | <code>string</code> | 分享预览标题。 |
| <code>data[].note_list[].share_info.content</code> | <code>string</code> | 分享笔记时附带的正文。 |
| <code>data[].note_list[].share_info.image</code> | <code>string</code> | 分享预览图链接。 |
| <code>data[].note_list[].share_info.wechat_share_desc</code> | <code>string</code> | 微信分享描述。 |
| <code>data[].note_list[].share_info.show_wechat_tag</code> | <code>boolean</code> | 分享配置中的微信标签显示标记。 |
| <code>data[].note_list[].share_info.block_private_msg</code> | <code>boolean</code> | 分享配置中的私信限制标记。 |
| <code>data[].note_list[].share_info.function_entries</code> | <code>array</code> | 平台返回的分享操作入口列表。 |
| <code>data[].note_list[].share_info.function_entries[]</code> | <code>object</code> | - |
| <code>data[].note_list[].share_info.function_entries[].type</code> | <code>string</code> | 分享操作入口的类型编码。 |
| <code>data[].note_list[].long_press_share_info</code> | <code>object</code> | 长按菜单对应的分享信息。 |
| <code>data[].note_list[].long_press_share_info.title</code> | <code>string</code> | 长按分享标题。 |
| <code>data[].note_list[].long_press_share_info.content</code> | <code>string</code> | 长按分享正文。 |
| <code>data[].note_list[].long_press_share_info.show_wechat_tag</code> | <code>boolean</code> | 分享配置中的微信标签显示标记。 |
| <code>data[].note_list[].long_press_share_info.block_private_msg</code> | <code>boolean</code> | 分享配置中的私信限制标记。 |
| <code>data[].note_list[].long_press_share_info.function_entries</code> | <code>array</code> | 平台返回的分享操作入口列表。 |
| <code>data[].note_list[].long_press_share_info.function_entries[]</code> | <code>object</code> | - |
| <code>data[].note_list[].long_press_share_info.function_entries[].type</code> | <code>string</code> | 分享操作入口的类型编码。 |
| <code>data[].note_list[].topics</code> | <code>array</code> | 笔记关联的话题列表，可能与话题标签列表重叠。 |
| <code>data[].note_list[].topics[]</code> | <code>object</code> | - |
| <code>data[].note_list[].topics[].id</code> | <code>string</code> | 小红书话题 ID。 |
| <code>data[].note_list[].topics[].name</code> | <code>string</code> | 话题名称。 |
| <code>data[].note_list[].topics[].link</code> | <code>string</code> | 话题链接，可能使用小红书 App 链接协议。 |
| <code>data[].note_list[].topics[].image</code> | <code>string</code> | 话题图片链接。 |
| <code>data[].note_list[].topics[].discuss_num</code> | <code>integer</code> | 平台返回的话题讨论数。 |
| <code>data[].note_list[].topics[].activity_online</code> | <code>boolean</code> | 话题活动是否上线的标记。 |
| <code>data[].note_list[].topics[].style</code> | <code>integer</code> | 平台返回的话题样式编码。 |
| <code>data[].note_list[].topics[].business_type</code> | <code>integer</code> | 平台返回的话题业务类型编码。 |
| <code>data[].note_list[].native_voice_info</code> | <code>object</code> | 笔记附带的语音和音频信息。 |
| <code>data[].note_list[].native_voice_info.sound_id</code> | <code>string</code> | 音频项在平台上的 ID。 |
| <code>data[].note_list[].native_voice_info.name</code> | <code>string</code> | 音频名称。 |
| <code>data[].note_list[].native_voice_info.desc</code> | <code>string</code> | 平台返回的音频描述。 |
| <code>data[].note_list[].native_voice_info.subtitle</code> | <code>string</code> | 平台返回的音频副标题。 |
| <code>data[].note_list[].native_voice_info.cover</code> | <code>string</code> | 音频封面图链接。 |
| <code>data[].note_list[].native_voice_info.url</code> | <code>string</code> | 音频文件链接。 |
| <code>data[].note_list[].native_voice_info.md5sum</code> | <code>string</code> | 本条记录提供的音频文件的 MD5 校验值。 |
| <code>data[].note_list[].native_voice_info.use_count</code> | <code>integer</code> | 平台返回的音频使用次数。 |
| <code>data[].note_list[].native_voice_info.sound_bg_music_type</code> | <code>integer</code> | 平台返回的音频背景音乐类别编码。 |
| <code>data[].note_list[].native_voice_info.duration</code> | <code>integer</code> | 音频时长，单位为毫秒。 |
| <code>data[].note_list[].mini_program_info</code> | <code>object</code> | 笔记关联的小程序链接和分享信息。 |
| <code>data[].note_list[].mini_program_info.title</code> | <code>string</code> | 笔记附带的小程序标题。 |
| <code>data[].note_list[].mini_program_info.desc</code> | <code>string</code> | 笔记附带的小程序描述。 |
| <code>data[].note_list[].mini_program_info.path</code> | <code>string</code> | 小程序内部页面路径。 |
| <code>data[].note_list[].mini_program_info.share_title</code> | <code>string</code> | 小程序分享标题。 |
| <code>data[].note_list[].mini_program_info.thumb</code> | <code>string</code> | 小程序缩略图链接。 |
| <code>data[].note_list[].mini_program_info.user_name</code> | <code>string</code> | 平台返回的小程序账号名。 |
| <code>data[].note_list[].mini_program_info.webpage_url</code> | <code>string</code> | 小程序对应的网页链接。 |
| <code>data[].note_list[].qq_mini_program_info</code> | <code>object</code> | 笔记关联的 QQ 小程序链接和分享信息。 |
| <code>data[].note_list[].qq_mini_program_info.title</code> | <code>string</code> | 笔记附带的小程序标题。 |
| <code>data[].note_list[].qq_mini_program_info.desc</code> | <code>string</code> | 笔记附带的小程序描述。 |
| <code>data[].note_list[].qq_mini_program_info.path</code> | <code>string</code> | 小程序内部页面路径。 |
| <code>data[].note_list[].qq_mini_program_info.share_title</code> | <code>string</code> | 小程序分享标题。 |
| <code>data[].note_list[].qq_mini_program_info.thumb</code> | <code>string</code> | 小程序缩略图链接。 |
| <code>data[].note_list[].qq_mini_program_info.user_name</code> | <code>string</code> | 平台返回的小程序账号名。 |
| <code>data[].note_list[].qq_mini_program_info.webpage_url</code> | <code>string</code> | 小程序对应的网页链接。 |
| <code>data[].note_list[].comment_prompt_config</code> | <code>object</code> | 评论输入提示和限制配置。 |
| <code>data[].note_list[].comment_prompt_config.placeholder_short</code> | <code>string</code> | 评论输入框的短提示文字。 |
| <code>data[].note_list[].comment_prompt_config.placeholder_long</code> | <code>string</code> | 评论输入框的长提示文字。 |
| <code>data[].note_list[].comment_prompt_config.forbidden_cmt_type</code> | <code>integer</code> | 平台返回的评论限制类型编码。 |
| <code>data[].note_list[].function_switch</code> | <code>array</code> | 平台为笔记返回的功能开关列表。 |
| <code>data[].note_list[].function_switch[]</code> | <code>object</code> | - |
| <code>data[].note_list[].function_switch[].type</code> | <code>string</code> | 功能开关的类型编码。 |
| <code>data[].note_list[].function_switch[].enable</code> | <code>boolean</code> | 平台是否标记该功能为启用。 |
| <code>data[].note_list[].function_switch[].reason</code> | <code>string</code> | 平台提供的功能开关原因，可能缺省。 |
| <code>data[].note_list[].media_save_config</code> | <code>object</code> | 平台返回的媒体保存配置。 |
| <code>data[].note_list[].media_save_config.disable_save</code> | <code>boolean</code> | 平台返回的媒体禁止保存标记。 |
| <code>data[].note_list[].media_save_config.disable_watermark</code> | <code>boolean</code> | 媒体保存配置中的禁用水印标记。 |
| <code>data[].note_list[].media_save_config.disable_weibo_cover</code> | <code>boolean</code> | 媒体保存配置中的禁用微博封面标记。 |
| <code>data[].note_list[].privacy</code> | <code>object</code> | 小红书在当前响应上下文返回的可见性和隐私信息。 |
| <code>data[].note_list[].privacy.type</code> | <code>integer</code> | 小红书返回的原始可见性类别编码。 |
| <code>data[].note_list[].privacy.show_tips</code> | <code>boolean</code> | 是否显示隐私相关提示的标记。 |
| <code>data[].note_list[].feedback_info</code> | <code>object</code> | 平台返回的笔记反馈信息。 |
| <code>data[].note_list[].feedback_info.dislike_status</code> | <code>integer</code> | 平台返回的负反馈状态编码。 |
| <code>data[].note_list[].note_text_press_options</code> | <code>array</code> | 长按笔记文字对应的菜单选项列表。 |
| <code>data[].note_list[].note_text_press_options[]</code> | <code>object</code> | - |
| <code>data[].note_list[].note_text_press_options[].key</code> | <code>string</code> | 平台返回的长按菜单选项标识。 |
| <code>data[].note_list[].ats</code> | <code>array</code> | 笔记中提及的用户资料列表。 |
| <code>data[].note_list[].ats[]</code> | <code>object</code> | 单条提及所返回的用户资料。 |
| <code>data[].note_list[].ats[].id</code> | <code>string</code> | 被提及账号的小红书用户 ID。 |
| <code>data[].note_list[].ats[].name</code> | <code>string</code> | 平台返回的用户名称。 |
| <code>data[].note_list[].ats[].nickname</code> | <code>string</code> | 作者昵称。 |
| <code>data[].note_list[].ats[].followed</code> | <code>boolean</code> | 小红书在当前响应上下文返回的关注状态。 |
| <code>data[].note_list[].ats[].red_official_verified</code> | <code>boolean</code> | 小红书返回的官方认证状态。 |
| <code>data[].note_list[].ats[].red_official_verify_type</code> | <code>integer</code> | 小红书返回的官方认证类别编码。 |
| <code>data[].note_list[].ats[].show_red_official_verify_icon</code> | <code>boolean</code> | 是否显示官方认证图标的标记。 |
| <code>data[].note_list[].ats[].level</code> | <code>object</code> | 小红书返回的用户等级信息。 |
| <code>data[].note_list[].ats[].level.image</code> | <code>string</code> | 用户等级信息中的图片字段，可能为空。 |
| <code>data[].note_list[].co_produce_link</code> | <code>string</code> | 小红书提供的共创链接。 |
| <code>data[].note_list[].note_statement</code> | <code>object</code> | 与笔记关联的声明信息。 |
| <code>data[].note_list[].note_statement.show_text</code> | <code>string</code> | 随笔记展示的声明文字。 |
| <code>data[].note_list[].note_statement.pop_text</code> | <code>string</code> | 用于弹窗展示的声明文字。 |
| <code>data[].note_list[].note_statement.origin_info</code> | <code>object</code> | 平台为笔记提供的来源标注信息。 |
| <code>data[].note_list[].note_statement.origin_info.origin_link</code> | <code>string</code> | 来源标注对应的链接。 |
| <code>data[].note_list[].note_statement.origin_info.origin_text</code> | <code>string</code> | 来源标注对应的文字。 |
| <code>data[].note_list[].note_attributes</code> | <code>array</code> | 小红书返回的笔记属性列表。 |
| <code>data[].note_list[].note_attributes[]</code> | <code>string</code> | 小红书返回的单个原始笔记属性值。 |
| <code>data[].note_list[].order_cooperate</code> | <code>object</code> | 小红书返回的合作订单信息。 |
| <code>data[].note_list[].order_cooperate.status</code> | <code>integer</code> | 小红书返回的原始合作订单状态码。 |
| <code>data[].note_list[].user_id</code> | <code>string</code> | 笔记记录上直接返回的用户 ID。有相关信息时提供。 |
| <code>data[].note_list[].video</code> | <code>object</code> | 部分笔记可能返回的视频信息。视频下载请使用 V6 接口。 |
| <code>data[].note_list[].video.id</code> | <code>string</code> | 平台返回的笔记视频 ID。 |
| <code>data[].note_list[].video.width</code> | <code>integer</code> | 视频宽度，单位为像素。 |
| <code>data[].note_list[].video.height</code> | <code>integer</code> | 视频高度，单位为像素。 |
| <code>data[].note_list[].video.duration</code> | <code>integer</code> | 小红书返回的视频时长数值。 |
| <code>data[].note_list[].video.thumbnail</code> | <code>string</code> | 平台提供的视频缩略图链接。 |
| <code>data[].note_list[].video.first_frame</code> | <code>string</code> | 平台提供的视频首帧链接。 |
| <code>data[].note_list[].video.url</code> | <code>string</code> | 小红书提供的视频媒体链接。 |
| <code>data[].note_list[].video.url_info_list</code> | <code>array</code> | 平台返回的视频媒体版本列表。 |
| <code>data[].note_list[].video.url_info_list[]</code> | <code>object</code> | 单个视频版本的信息。 |
| <code>data[].note_list[].video.url_info_list[].width</code> | <code>integer</code> | 该视频版本的宽度，单位为像素。 |
| <code>data[].note_list[].video.url_info_list[].height</code> | <code>integer</code> | 该视频版本的高度，单位为像素。 |
| <code>data[].note_list[].video.url_info_list[].desc</code> | <code>string</code> | 平台提供的该视频版本说明。 |
| <code>data[].note_list[].video.url_info_list[].url</code> | <code>string</code> | 平台提供的该视频版本媒体链接。 |
| <code>data[].model_type</code> | <code>string</code> | 小红书返回的结果对象类型。 |
| <code>data[].user</code> | <code>object</code> | 结果附带的用户资料。 |
| <code>data[].user.id</code> | <code>string</code> | 小红书用户 ID。 |
| <code>data[].user.nickname</code> | <code>string</code> | 用户昵称。 |
| <code>data[].user.image</code> | <code>string</code> | 用户头像链接。 |
| <code>data[].user.name</code> | <code>string</code> | 平台返回的用户名称。 |
| <code>data[].user.userid</code> | <code>string</code> | 平台通过 userid 返回的用户标识。 |
| <code>data[].user.red_id</code> | <code>string</code> | 平台为该用户返回的小红书号。 |
| <code>data[].user.followed</code> | <code>boolean</code> | 小红书在当前响应上下文返回的关注状态。 |
| <code>data[].user.red_official_verified</code> | <code>boolean</code> | 小红书返回的官方认证状态。 |
| <code>data[].user.red_official_verify_type</code> | <code>integer</code> | 小红书返回的官方认证类别编码。 |
| <code>data[].user.show_red_official_verify_icon</code> | <code>boolean</code> | 是否显示官方认证图标的标记。 |
| <code>data[].user.level</code> | <code>object</code> | 小红书返回的用户等级信息。 |
| <code>data[].user.level.image</code> | <code>string</code> | 用户等级信息中的图片字段，可能为空。 |
| <code>data[].user.live</code> | <code>object</code> | 用户的直播信息。有相关信息时返回。 |
| <code>data[].user.live.room_id</code> | <code>string</code> | 小红书返回的直播间 ID。 |
| <code>data[].user.live.user_id</code> | <code>string</code> | 与直播关联的用户 ID。 |
| <code>data[].user.live.live_link</code> | <code>string</code> | 小红书提供的直播链接。 |
| <code>data[].user.live.start_time</code> | <code>integer</code> | 小红书返回的直播开始时间数值。 |
| <code>data[].user.live.live_status</code> | <code>integer</code> | 小红书返回的原始直播状态码。 |
| <code>data[].user.live.has_goods</code> | <code>boolean</code> | 小红书返回的直播商品标记。 |
| <code>data[].user.live.has_red_packet</code> | <code>boolean</code> | 小红书返回的直播红包标记。 |
| <code>data[].user.live.has_draw</code> | <code>boolean</code> | 小红书返回的直播抽奖标记。 |
| <code>data[].user.live.show_light</code> | <code>boolean</code> | 小红书返回的直播指示标记。 |
| <code>data[].comment_list</code> | <code>array</code> | 随详情结果返回的评论列表。平台返回的评论数大于 0 时，该列表仍可能为空。 |
| <code>data[].track_id</code> | <code>string</code> | 随结果返回的原始追踪 ID，可能为空。 |

</div>

## 响应示例

<ApiExampleSection :api='JSON.parse("\"/api/xiaohongshu/get-note-detail/v1\"")' />

